> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments for an order

> Get payments for an order

### Path parameters

<ParamField path="order_id" type="string (uuid)" required>
  Order ID
</ParamField>

### Responses

<ResponseField name="200" type="ApiResponse_Vec_PaymentResponse">
  Payments for order
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/payments/order/{order_id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": [
      {
        "amount": "string",
        "created_at": "2026-07-24T12:00:00Z",
        "currency": "string",
        "description": null,
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "payment_method": "string",
        "payment_method_id": null,
        "processed_at": null,
        "status": "string"
      }
    ],
    "errors": null,
    "message": null,
    "meta": null,
    "success": true
  }
  ```
</ResponseExample>
